import { type ErrorPayload, type Logger, type LogLevel, type ViteDevServer } from 'vite';
import { AstroError, type ErrorWithMetadata } from '../errors.js';
/**
 * Custom logger with better error reporting for incompatible packages
 */
export declare function createCustomViteLogger(logLevel: LogLevel): Logger;
export declare function enhanceViteSSRError(error: Error, filePath?: URL, viteServer?: ViteDevServer): AstroError;
/**
 * Generate a payload for Vite's error overlay
 */
export declare function getViteErrorPayload(err: ErrorWithMetadata): ErrorPayload;
